# CbcCompareDefault Class Reference

`#include <CbcCompareDefault.hpp>`

Inheritance diagram for CbcCompareDefault:
[legend]
Collaboration diagram for CbcCompareDefault:
[legend]

List of all members.

## Public Member Functions
| CbcCompareDefault ()
| Default Constructor.
| CbcCompareDefault (double weight)
| Constructor with weight.
| CbcCompareDefault (const CbcCompareDefault &rhs)
| Copy constructor.
CbcCompareDefault & | operator= (const CbcCompareDefault &rhs)
| Assignment operator.
virtual CbcCompareBase * | clone () const
| Clone.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
| ~CbcCompareDefault ()
virtual bool | test (CbcNode *x, CbcNode *y)
| This is test function.
virtual bool | newSolution (CbcModel *model, double objectiveAtContinuous, int numberInfeasibilitiesAtContinuous)
| This allows method to change behavior as it is called after each solution.
virtual bool | every1000Nodes (CbcModel *model, int numberNodes)
| This allows method to change behavior Return true if want tree re-sorted.
double | getWeight () const
void | setWeight (double weight)
double | getCutoff () const
| Cutoff.
void | setCutoff (double cutoff)
double | getBestPossible () const
| Best possible solution.
void | setBestPossible (double bestPossible)
void | setBreadthDepth (int value)
| Depth above which want to explore first.
void | startDive (CbcModel *model)
| Start dive.
void | cleanDive ()
| Clean up diving (i.e. switch off or prepare).
## Protected Attributes
double | weight_
| Weight for each infeasibility.
double | saveWeight_
| Weight for each infeasibility - computed from solution.
double | cutoff_
| Cutoff.
double | bestPossible_
| Best possible solution.
int | numberSolutions_
| Number of solutions.
int | treeSize_
| Tree size (at last check).
int | breadthDepth_
| Depth above which want to explore first.
int | startNodeNumber_
| Chosen node from estimated (-1 is off).
int | afterNodeNumber_
| Node number when dive started.
bool | setupForDiving_
| Indicates doing setup for diving.

## Detailed Description

Definition at line 31 of file CbcCompareDefault.hpp.

## Constructor & Destructor Documentation

CbcCompareDefault::CbcCompareDefault | ( |  | ) |

Default Constructor.

CbcCompareDefault::CbcCompareDefault | ( | double | weight | ) |

Constructor with weight.

CbcCompareDefault::CbcCompareDefault | ( | const CbcCompareDefault & | rhs | ) |

Copy constructor.

CbcCompareDefault::~CbcCompareDefault | ( |  | ) |

## Member Function Documentation

CbcCompareDefault& CbcCompareDefault::operator= | ( | const CbcCompareDefault & | rhs | ) |

Assignment operator.

Reimplemented from CbcCompareBase.

virtual CbcCompareBase* CbcCompareDefault::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CbcCompareBase.

virtual void CbcCompareDefault::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcCompareBase.

virtual bool CbcCompareDefault::test | ( | CbcNode * | ,
|  | CbcNode * |  |
| ) |  |  | `[virtual]`

This is test function.

Reimplemented from CbcCompareBase.

virtual bool CbcCompareDefault::newSolution | ( | CbcModel * | model,
|  | double | objectiveAtContinuous,
|  | int | numberInfeasibilitiesAtContinuous |
| ) |  |  | `[virtual]`

This allows method to change behavior as it is called after each solution.

Reimplemented from CbcCompareBase.

virtual bool CbcCompareDefault::every1000Nodes | ( | CbcModel * | model,
|  | int | numberNodes |
| ) |  |  | `[virtual]`

This allows method to change behavior Return true if want tree re-sorted.

Reimplemented from CbcCompareBase.

double CbcCompareDefault::getWeight | ( |  | ) | const`[inline]`

Definition at line 68 of file CbcCompareDefault.hpp.

void CbcCompareDefault::setWeight | ( | double | weight | ) | `[inline]`

Definition at line 71 of file CbcCompareDefault.hpp.

double CbcCompareDefault::getCutoff | ( |  | ) | const`[inline]`

Cutoff.

Definition at line 75 of file CbcCompareDefault.hpp.

void CbcCompareDefault::setCutoff | ( | double | cutoff | ) | `[inline]`

Definition at line 78 of file CbcCompareDefault.hpp.

double CbcCompareDefault::getBestPossible | ( |  | ) | const`[inline]`

Best possible solution.

Definition at line 82 of file CbcCompareDefault.hpp.

void CbcCompareDefault::setBestPossible | ( | double | bestPossible | ) | `[inline]`

Definition at line 85 of file CbcCompareDefault.hpp.

void CbcCompareDefault::setBreadthDepth | ( | int | value | ) | `[inline]`

Depth above which want to explore first.

Definition at line 89 of file CbcCompareDefault.hpp.

void CbcCompareDefault::startDive | ( | CbcModel * | model | ) |

Start dive.

void CbcCompareDefault::cleanDive | ( |  | ) |

Clean up diving (i.e. switch off or prepare).

## Member Data Documentation

double CbcCompareDefault::weight_`[protected]`

Weight for each infeasibility.

Definition at line 98 of file CbcCompareDefault.hpp.

double CbcCompareDefault::saveWeight_`[protected]`

Weight for each infeasibility - computed from solution.

Definition at line 100 of file CbcCompareDefault.hpp.

double CbcCompareDefault::cutoff_`[protected]`

Cutoff.

Definition at line 102 of file CbcCompareDefault.hpp.

double CbcCompareDefault::bestPossible_`[protected]`

Best possible solution.

Definition at line 104 of file CbcCompareDefault.hpp.

int CbcCompareDefault::numberSolutions_`[protected]`

Number of solutions.

Definition at line 106 of file CbcCompareDefault.hpp.

int CbcCompareDefault::treeSize_`[protected]`

Tree size (at last check).

Definition at line 108 of file CbcCompareDefault.hpp.

int CbcCompareDefault::breadthDepth_`[protected]`

Depth above which want to explore first.

Definition at line 110 of file CbcCompareDefault.hpp.

int CbcCompareDefault::startNodeNumber_`[protected]`

Chosen node from estimated (-1 is off).

Definition at line 112 of file CbcCompareDefault.hpp.

int CbcCompareDefault::afterNodeNumber_`[protected]`

Node number when dive started.

Definition at line 114 of file CbcCompareDefault.hpp.

bool CbcCompareDefault::setupForDiving_`[protected]`

Indicates doing setup for diving.

Definition at line 116 of file CbcCompareDefault.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcCompareDefault.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines